Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal3d.simple
Class SpherePortrayal3D

    java.lang.Object
      sim.portrayal3d.SimplePortrayal3D
          sim.portrayal3d.simple.PrimitivePortrayal3D
              sim.portrayal3d.simple.SpherePortrayal3D

All Implemented Interfaces:
  java.io.Serializable, Portrayal, Portrayal3D

    public class SpherePortrayal3D

extends PrimitivePortrayal3D

Portrays objects as a sphere of the specified color or appearance (flat opaque white by default) which fills the region from (-0.5*scale,-0.5*scale,-0.5*scale) to (0.5*scale,0.5*scale,0.5*scale). Objects portrayed by this portrayal are selectable.

See Also:
  Serialized Form

Field Summary
`static int` | `DEFAULT_DIVISIONS`

Fields inherited from class sim.portrayal3d.simple.PrimitivePortrayal3D
`group`

Fields inherited from class sim.portrayal3d.SimplePortrayal3D
`DEFAULT_APPEARANCE`

Constructor Summary
`SpherePortrayal3D()` Constructs a SpherePortrayal3D with a default (flat opaque white) appearance and a scale of 1.0.
`SpherePortrayal3D(javax.media.j3d.Appearance appearance, boolean generateNormals, boolean generateTextureCoordinates, double scale)` Constructs a SpherePortrayal3D with the given appearance, and scale, plus whether or not to generate normals or texture coordinates.
`SpherePortrayal3D(javax.media.j3d.Appearance appearance, boolean generateNormals, boolean generateTextureCoordinates, double scale, int divisions)` Constructs a SpherePortrayal3D with the given appearance, divisions, and scale, plus whether or not to generate normals or texture coordinates.
`SpherePortrayal3D(java.awt.Color color)` Constructs a SpherePortrayal3D with a flat opaque appearance of the given color and a scale of 1.0.
`SpherePortrayal3D(java.awt.Color color, double scale)` Constructs a SpherePortrayal3D with a flat opaque appearance of the given color and the given scale.
`SpherePortrayal3D(java.awt.Color color, double scale, int divisions)` Constructs a SpherePortrayal3D with a flat opaque appearance of the given color, scale, and divisions.
`SpherePortrayal3D(double scale)` Constructs a SpherePortrayal3D with a default (flat opaque white) appearance and the given scale.
`SpherePortrayal3D(java.awt.Image image)` Constructs a SpherePortrayal3D with the given (opaque) image and a scale of 1.0.
`SpherePortrayal3D(java.awt.Image image, double scale)` Constructs a SpherePortrayal3D with the given (opaque) image and scale.
`SpherePortrayal3D(java.awt.Image image, double scale, int divisions)` Constructs a SpherePortrayal3D with the given (opaque) image, scale, and divisions.

Method Summary
`protected int` | `numShapes()` Returns the number of shapes handled by this primitive or Shape3D.

Methods inherited from class sim.portrayal3d.simple.PrimitivePortrayal3D
`getAppearance, getModel, getShape, setAppearance, setPickable, setScale, setShape3DFlags, setTransform`

Methods inherited from class sim.portrayal3d.SimplePortrayal3D
`appearanceForColor, appearanceForColors, appearanceForImage, clearPickableFlags, getCurrentDisplay, getCurrentFieldPortrayal, getCurrentGUIState, getInspector, getName, getStatus, isSelected, polygonAttributes, setAppearanceFlags, setCurrentDisplay, setCurrentFieldPortrayal, setPickableFlags, setPickableFlags, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DIVISIONS

    public static final int DEFAULT_DIVISIONS

See Also:
  Constant Field Values

Constructor Detail

### SpherePortrayal3D

    public SpherePortrayal3D()

  Constructs a SpherePortrayal3D with a default (flat opaque white) appearance and a scale of 1.0.

### SpherePortrayal3D

    public SpherePortrayal3D(double scale)

  Constructs a SpherePortrayal3D with a default (flat opaque white) appearance and the given scale.

### SpherePortrayal3D

    public SpherePortrayal3D(java.awt.Color color)

  Constructs a SpherePortrayal3D with a flat opaque appearance of the given color and a scale of 1.0.

### SpherePortrayal3D

    public SpherePortrayal3D(java.awt.Color color,
                             double scale)

  Constructs a SpherePortrayal3D with a flat opaque appearance of the given color and the given scale.

### SpherePortrayal3D

    public SpherePortrayal3D(java.awt.Color color,
                             double scale,
                             int divisions)

  Constructs a SpherePortrayal3D with a flat opaque appearance of the given color, scale, and divisions.

### SpherePortrayal3D

    public SpherePortrayal3D(java.awt.Image image)

  Constructs a SpherePortrayal3D with the given (opaque) image and a scale of 1.0.

### SpherePortrayal3D

    public SpherePortrayal3D(java.awt.Image image,
                             double scale)

  Constructs a SpherePortrayal3D with the given (opaque) image and scale.

### SpherePortrayal3D

    public SpherePortrayal3D(java.awt.Image image,
                             double scale,
                             int divisions)

  Constructs a SpherePortrayal3D with the given (opaque) image, scale, and divisions.

### SpherePortrayal3D

    public SpherePortrayal3D(javax.media.j3d.Appearance appearance,
                             boolean generateNormals,
                             boolean generateTextureCoordinates,
                             double scale)

  Constructs a SpherePortrayal3D with the given appearance, and scale, plus whether or not to generate normals or texture coordinates. Without texture coordiantes, a texture will not be displayed

### SpherePortrayal3D

    public SpherePortrayal3D(javax.media.j3d.Appearance appearance,
                             boolean generateNormals,
                             boolean generateTextureCoordinates,
                             double scale,
                             int divisions)

  Constructs a SpherePortrayal3D with the given appearance, divisions, and scale, plus whether or not to generate normals or texture coordinates. Without texture coordiantes, a texture will not be displayed

Method Detail

### numShapes

    protected int numShapes()

  Description copied from class: `PrimitivePortrayal3D`
  Returns the number of shapes handled by this primitive or Shape3D. Shape3D objects only have a single shape. Cylinder has three shapes (BODY=0, TOP=1, BOTTOM=2), while Cone has two shapes (BODY=0, CAP=1) and Sphere has a single shape (BODY=0).

  Specified by:
    `numShapes` in class `PrimitivePortrayal3D`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD